
<%@ include file="/include-internal.jsp"%>
<%@ taglib prefix="l" tagdir="/WEB-INF/tags/layout" %>

<l:settingsGroup title="Squish Installation">

  <tr id="pathInputSection">
    <th><label for="squish.root">Installation root: <l:star/></label></th>
    <td><props:textProperty name="squish.root" className="longField"/>
      <span class="error" id="error_squish.root"></span>
      <span class="smallNote">The path to the Squish home directory<br>
      Example: /opt/Squish/squish-5.0.4-java-mac
      </span>
    </td>
  </tr>

</l:settingsGroup>

<l:settingsGroup title="Tests">

  <tr id="testsuiteInputSection">
    <th><label for="squish.testsuite">Test suite: <l:star/></label></th>
    <td><props:textProperty name="squish.testsuite" className="longField"/>
      <span class="error" id="error_squish.testsuite"></span>
      <span class="smallNote">Example: /Users/tomasz/suite_addressbook</span>
    </td>
  </tr>

  <tr id="bddSetting">
    <th><label for="squish.bdd">BDD Test Suite</label></th>
    <td>
      <props:checkboxProperty name="squish.bdd"/>
      <span class="error" id="error_squish.bdd"></span>
      <span class="smallNote">Consider BDD Scenario as a test element. Check it if your Test Suite contains only BDD Test Cases<br>
      <b>Ensure that in Failure Conditions option to fail a build if <l>an error message is logged by build runner</l> is enabled.</b>
      </span>
    </td>
  </tr>

  <tr id="testcaseInputSection">
    <th><label for="squish.testcase">Test cases: </label></th>
    <td><props:textProperty name="squish.testcase" className="longField"/>
      <span class="error" id="error_squish.testcase"></span>
      <span class="smallNote">
      If not defined all test cases from test suite are executed.<br>
      You can add multiple test cases separated by a comma.<br>
      Example: tst_adding
      </span>
    </td>
  </tr>

</l:settingsGroup>

<l:settingsGroup title="Settings">

  <tr id="hostInputSection">
    <th><label for="squish.host">Host: </label></th>
    <td><props:textProperty name="squish.host" className="longField"/>
      <span class="error" id="error_squish.host"></span>
      <span class="smallNote">
      Host where squishserver is running.<br>
      If not defined default host <b>localhost</b> is used.
      </span>
    </td>
  </tr>

  <tr id="portInputSection">
    <th><label for="squish.port">Port: </label></th>
    <td><props:textProperty name="squish.port" className="longField"/>
      <span class="error" id="error_squish.port"></span>
      <span class="smallNote">
      Port which squishserver is listening.<br>
      If not defined default port <b>4322</b> is used.
      </span>
    </td>
  </tr>

  <tr id="ssSetting">
    <th><label for="squish.ss">Start/stop squishserver</label></th>
    <td>
      <props:checkboxProperty name="squish.ss"/>
      <span class="error" id="error_squish.ss"></span>
      <span class="smallNote">Configure if squishserver should be started/stopped by this Build Step</span>
    </td>
  </tr>

  <tr id="dispSetting" class="advancedSetting">
    <th><label for="squish.disp">Display number</label></th>
    <td>
      <props:textProperty name="squish.disp" className="longField"/>
      <span class="error" id="error_squish.disp"></span>
      <span class="smallNote">
        Define display number if virtual display is used.<br>
        Example: :12
      </span>
    </td>
  </tr>

  <tr id="evnSetting" class="advancedSetting">
    <th><label for="squish.env">Environment variables</label></th>
    <td>
      <props:multilineProperty name="squish.env" linkTitle="Edit Environment Variables" cols="40" rows="4" className="longField"/>
      <span class="error" id="error_squish.env"></span>
      <span class="smallNote">
        Each environment variable has to be given in separate lines.<br>
        Example: SQUISH_USER_SETTINGS_DIR=/home/tomasz/.squish
      </span>
    </td>
  </tr>

  <tr id="extraOptionsSetting" class="advancedSetting">
    <th><label for="squish.extraOptions">Extra Options</label></th>
    <td>
      <props:multilineProperty name="squish.extraOptions" linkTitle="Edit Extra Options" cols="40" rows="5" className="longField"/>
      <span class="error" id="error_squish.extraOptions"></span>
      <span class="smallNote">
      This configuration field is intended to specify additional arguments to the squishrunner and squishserver. Each option and possible arguments have to be given in separate lines.<br>
        Supported squishrunner options:<br>
        <a href="https://doc.qt.io/squish/cli-squishrunner.html#playback-option-op-op-op-op-tags" target="_blank">--tags</a><br>
        <a href="https://doc.qt.io/squish/cli-squishrunner.html#playback-option-op-op-op-op-random" target="_blank">--random</a><br>
        <a href="https://doc.qt.io/squish/cli-squishrunner.html#playback-option-op-op-op-op-abortonfail" target="_blank">--abortOnFail</a><br>
        <a href="https://doc.qt.io/squish/cli-squishrunner.html#playback-option-op-op-op-op-snoozefactor" target="_blank">--snoozeFactor</a><br>
        <a href="https://doc.qt.io/squish/cli-squishrunner.html#playback-option-op-op-op-op-retry" target="_blank">--retry</a><br>
        <a href="https://doc.qt.io/squish/cli-squishrunner.html#playback-option-op-op-op-op-timeout" target="_blank">--timeout</a><br>
        <a href="https://doc.qt.io/squish/cli-squishrunner.html#playback-option-op-op-op-op-enable-op-op-video-op-op-capture" target="_blank">--enable-video-capture</a><br>
      Example:<br>
      --snoozeFactor<br>
      5
      </span>
    </td>
  </tr>



</l:settingsGroup>


